<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/SimCalorimeterHitConst.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimCalorimeterHitConst.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_calorimeter_hit_const_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_8h.html">eicd/SimCalorimeterHit.h</a>&quot;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_const_8h.html">eicd/SimCalorimeterHitConst.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_obj_8h.html">eicd/SimCalorimeterHitObj.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_data_8h.html">eicd/SimCalorimeterHitData.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_collection_8h.html">eicd/SimCalorimeterHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">   13</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit::ConstSimCalorimeterHit</a>() : m_obj(new <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>()) {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; m_obj-&gt;acquire();</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;}</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a948988ac28d742e12cdee4b10dc3d8e1">   17</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit::ConstSimCalorimeterHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">cellID1</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">energy</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">time</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">position</a>) : m_obj(new <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>()){</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; m_obj-&gt;acquire();</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;   m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a8509ed07ab427387e8e7c928a3467e41">cellID0</a> = <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">cellID0</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a1d1a30a0f27e0e22ac9090a4fe595ca1">cellID1</a> = <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">cellID1</a>;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a9832167f5e0750e68193f817fff39664">energy</a> = <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">energy</a>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a514b34766feb418c108a9657e5fbe368">time</a> = <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">time</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#ab00ee6ff106620918f5daad6718972bb">position</a> = <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">position</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#ae77ac8799c9bfd09d782af48a64ba741">   27</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit::ConstSimCalorimeterHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a47043b09d70c8c72ba1f9ca7c4f72fa0">   31</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a47043b09d70c8c72ba1f9ca7c4f72fa0">ConstSimCalorimeterHit::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; other) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a8801adab5d0655846f8209ae2349fe20">   37</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit::ConstSimCalorimeterHit</a>(<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordflow">if</span>(m_obj)</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    m_obj-&gt;acquire();</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a90e535779a672a4f80f80333af31bb2f">   42</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a90e535779a672a4f80f80333af31bb2f">ConstSimCalorimeterHit::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>(*m_obj)};</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a55eba11339b896dd18d7223d867ea9dc">   46</a></span>&#160;<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a55eba11339b896dd18d7223d867ea9dc">ConstSimCalorimeterHit::~ConstSimCalorimeterHit</a>(){</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">   51</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">ConstSimCalorimeterHit::cellID0</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a8509ed07ab427387e8e7c928a3467e41">cellID0</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">   53</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">ConstSimCalorimeterHit::cellID1</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a1d1a30a0f27e0e22ac9090a4fe595ca1">cellID1</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">   55</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">ConstSimCalorimeterHit::energy</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a9832167f5e0750e68193f817fff39664">energy</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">   57</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">ConstSimCalorimeterHit::time</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#a514b34766feb418c108a9657e5fbe368">time</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">   59</a></span>&#160;    <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">ConstSimCalorimeterHit::position</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#ab00ee6ff106620918f5daad6718972bb">position</a>; }</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a84feaffa8a968d592ee39f3db266926e">   61</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">ConstSimCalorimeterHit::position</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">data</a>.<a class="code" href="classeic_1_1_sim_calorimeter_hit_data.html#ab00ee6ff106620918f5daad6718972bb">position</a>.at(i); }</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a0a501cd1acc46afa68104e8d050af939">   65</a></span>&#160;<span class="keywordtype">bool</span>  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a0a501cd1acc46afa68104e8d050af939">ConstSimCalorimeterHit::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">   72</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">ConstSimCalorimeterHit::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  }</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a6aebc30eb71129c6a87304a60f194327">   79</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a832804348bff1e03da6a0da43762648d">ConstSimCalorimeterHit::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;     <span class="keywordflow">return</span> (m_obj == other.m_obj);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="comment">//bool operator&lt; (const SimCalorimeterHit&amp; p1, const SimCalorimeterHit&amp; p2 ) {</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="comment">//  if( p1.m_containerID == p2.m_containerID ) {</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">//    return p1.m_index &lt; p2.m_index;</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="comment">//  } else {</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="comment">//    return p1.m_containerID &lt; p2.m_containerID;</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="comment">//  }</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="comment">//}</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;} <span class="comment">// namespace eic</span></div><div class="ttc" id="_sim_calorimeter_hit_const_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_const_8h.html">SimCalorimeterHitConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a55eba11339b896dd18d7223d867ea9dc"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a55eba11339b896dd18d7223d867ea9dc">eic::ConstSimCalorimeterHit::~ConstSimCalorimeterHit</a></div><div class="ttdeci">~ConstSimCalorimeterHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00046">SimCalorimeterHitConst.cc:46</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a47043b09d70c8c72ba1f9ca7c4f72fa0"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a47043b09d70c8c72ba1f9ca7c4f72fa0">eic::ConstSimCalorimeterHit::operator=</a></div><div class="ttdeci">ConstSimCalorimeterHit &amp; operator=(const ConstSimCalorimeterHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00031">SimCalorimeterHitConst.cc:31</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_adfe70ebe12e40473cb0cd84d7a8961b7"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">eic::ConstSimCalorimeterHit::position</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00059">SimCalorimeterHitConst.cc:59</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_obj_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_obj_8h.html">SimCalorimeterHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_af1ca9752d7972e0a0411464a780d7eae"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">eic::ConstSimCalorimeterHit::energy</a></div><div class="ttdeci">const float &amp; energy() const</div><div class="ttdoc">Access the The energy of the hit in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00055">SimCalorimeterHitConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a832804348bff1e03da6a0da43762648d"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a832804348bff1e03da6a0da43762648d">eic::ConstSimCalorimeterHit::operator==</a></div><div class="ttdeci">bool operator==(const ConstSimCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00071">SimCalorimeterHitConst.h:71</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_obj_html_a59c07d3abd0134138a43a907d886c142"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_obj.html#a59c07d3abd0134138a43a907d886c142">eic::SimCalorimeterHitObj::data</a></div><div class="ttdeci">SimCalorimeterHitData data</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_obj_8h_source.html#l00035">SimCalorimeterHitObj.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_data_html_a514b34766feb418c108a9657e5fbe368"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_data.html#a514b34766feb418c108a9657e5fbe368">eic::SimCalorimeterHitData::time</a></div><div class="ttdeci">float time</div><div class="ttdoc">The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_data_8h_source.html#l00017">SimCalorimeterHitData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_data_html_a8509ed07ab427387e8e7c928a3467e41"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_data.html#a8509ed07ab427387e8e7c928a3467e41">eic::SimCalorimeterHitData::cellID0</a></div><div class="ttdeci">long long cellID0</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_data_8h_source.html#l00014">SimCalorimeterHitData.h:14</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_data_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_data_8h.html">SimCalorimeterHitData.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_obj.html">eic::SimCalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_obj_8h_source.html#l00023">SimCalorimeterHitObj.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a239cda017d13c4c694660a9e3d6a6109"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">eic::ConstSimCalorimeterHit::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00057">SimCalorimeterHitConst.cc:57</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_8h.html">SimCalorimeterHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_af6e62f03d17863a86586f1bfa9bdf48a"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">eic::ConstSimCalorimeterHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00072">SimCalorimeterHitConst.cc:72</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a6a11a9efda79e8d2c640e5f745fbfb53"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">eic::ConstSimCalorimeterHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00051">SimCalorimeterHitConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_data_html_a1d1a30a0f27e0e22ac9090a4fe595ca1"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_data.html#a1d1a30a0f27e0e22ac9090a4fe595ca1">eic::SimCalorimeterHitData::cellID1</a></div><div class="ttdeci">long long cellID1</div><div class="ttdoc">The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_data_8h_source.html#l00015">SimCalorimeterHitData.h:15</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_collection_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_collection_8h.html">SimCalorimeterHitCollection.h</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a3a2ab51b8a3b43efda4d1edac1efab15"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">eic::ConstSimCalorimeterHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00053">SimCalorimeterHitConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_data_html_ab00ee6ff106620918f5daad6718972bb"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_data.html#ab00ee6ff106620918f5daad6718972bb">eic::SimCalorimeterHitData::position</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; position</div><div class="ttdoc">The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_data_8h_source.html#l00018">SimCalorimeterHitData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a90e535779a672a4f80f80333af31bb2f"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a90e535779a672a4f80f80333af31bb2f">eic::ConstSimCalorimeterHit::clone</a></div><div class="ttdeci">ConstSimCalorimeterHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00042">SimCalorimeterHitConst.cc:42</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit.html">eic::SimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_8h_source.html#l00029">SimCalorimeterHit.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html">eic::ConstSimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00026">SimCalorimeterHitConst.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_data_html_a9832167f5e0750e68193f817fff39664"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_data.html#a9832167f5e0750e68193f817fff39664">eic::SimCalorimeterHitData::energy</a></div><div class="ttdeci">float energy</div><div class="ttdoc">The energy of the hit in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_data_8h_source.html#l00016">SimCalorimeterHitData.h:16</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a0a501cd1acc46afa68104e8d050af939"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a0a501cd1acc46afa68104e8d050af939">eic::ConstSimCalorimeterHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00065">SimCalorimeterHitConst.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a8f3ac9c4518f98a6b8d02efb857c8d0e"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit</a></div><div class="ttdeci">ConstSimCalorimeterHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00013">SimCalorimeterHitConst.cc:13</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
